[genius] Forgot to add these



commit bf100ec61d5890ce45809ffb4d91c55102c6afaf
Author: Jiri (George) Lebl <jiri lebl gmail com>
Date:   Wed Apr 19 17:43:00 2017 -0500

    Forgot to add these

 RELEASE_TODO                   |    3 ++-
 help/update-po.sh              |    7 +++++++
 help/update-xml-to-txt-html.sh |   17 +++++++++++++++++
 3 files changed, 26 insertions(+), 1 deletions(-)
---
diff --git a/RELEASE_TODO b/RELEASE_TODO
index 2056cf9..da767a2 100644
--- a/RELEASE_TODO
+++ b/RELEASE_TODO
@@ -1,3 +1,4 @@
 Things not to forget for release
 1) run ./update-xml-to-txt-html.sh in help
-2) ... FIXME?
+2) check the .spec file? (currently help stuff is possibly off?)
+3) ... FIXME?
diff --git a/help/update-po.sh b/help/update-po.sh
new file mode 100755
index 0000000..4c1d274
--- /dev/null
+++ b/help/update-po.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+if test "x$1" = "x" ; then
+       echo USAGE: ./update-po.sh LANG
+       exit 1
+fi 
+echo Running xml2po -u $1/$1.po C/genius.xml
+xml2po -u $1/$1.po C/genius.xml
diff --git a/help/update-xml-to-txt-html.sh b/help/update-xml-to-txt-html.sh
new file mode 100755
index 0000000..abf1826
--- /dev/null
+++ b/help/update-xml-to-txt-html.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+echo Running xmlto -o C/html/ html C/genius.xml
+xmlto -o C/html/ html C/genius.xml || exit 1
+
+echo Running docbook2txt C/genius.xml
+docbook2txt C/genius.xml || exit 1
+echo Running dos2unix genius.txt
+dos2unix genius.txt || exit 1
+
+LANGS="cs de el es fr pt_BR ru sv"
+for n in $LANGS ; do
+       echo Running xml2po -e -p $n/$n.po -o $n/genius.xml C/genius.xml
+       xml2po -e -p $n/$n.po -o $n/genius.xml C/genius.xml || exit 1
+       echo Running xmlto -o $n/html/ html $n/genius.xml
+       xmlto -o $n/html/ html $n/genius.xml || exit 1
+done


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]